Exported Services
application/jsonIn Schema for service: addCategoryProducts request
Success response for the API call.
Out Schema for service: addCategoryProducts response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/addCategoryProducts HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 97
{
"fromDate": "2026-01-01",
"productCategoryId": "text",
"productId": [
"text"
],
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: addDataToSearchIndex request
Success response for the API call.
Out Schema for service: addDataToSearchIndex response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/addDataToSearchIndex HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 58
{
"updateHandler": "text",
"data": [
"text"
],
"coreName": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: addFacilitiesToGroup request
Success response for the API call.
Out Schema for service: addFacilitiesToGroup response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/addFacilitiesToGroup HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 14
{
"payload": {}
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: addFacilityToGroup request
Success response for the API call.
Out Schema for service: addFacilityToGroup response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/addFacilityToGroup HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 110
{
"fromDate": "2026-01-01",
"facilityId": "text",
"sequenceNum": 1,
"facilityGroupId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: addPartyToFacility request
Success response for the API call.
Out Schema for service: addPartyToFacility response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/addPartyToFacility HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 106
{
"fromDate": "2026-01-01",
"roleTypeId": "text",
"facilityId": "text",
"partyId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: addPartyUserPermission request
Success response for the API call.
Out Schema for service: addPartyUserPermission response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/addPartyUserPermission HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 42
{
"userLoginId": "text",
"groupIds": [
"text"
]
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"userLoginId": "text"
}
}application/jsonIn Schema for service: addProductToFacility request
Success response for the API call.
Out Schema for service: addProductToFacility response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/addProductToFacility HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 301
{
"allowPickup": "text",
"reorderPoint": 1,
"facilityId": "text",
"productId": "text",
"salesVelocity": 1,
"allowBrokering": "text",
"reorderQuantity": 1,
"inventoryItemId": "text",
"lastInventoryCount": 1,
"computedLastInventoryCount": 1,
"minimumStock": 1,
"requirementMethodEnumId": "text",
"maximumStock": 1,
"daysToShip": 1
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"productId": "text"
}
}application/jsonIn Schema for service: addSecurityGroupToUserLogin request
Success response for the API call.
Out Schema for service: addSecurityGroupToUserLogin response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/addSecurityGroupToUserLogin HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"securityGroupId": "text",
"partyIdTo": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: addSecurityPermissionToSecurityGroup request
Success response for the API call.
Out Schema for service: addSecurityPermissionToSecurityGroup response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/addSecurityPermissionToSecurityGroup HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 88
{
"fromDate": "2026-01-01",
"permissionId": "text",
"groupId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}Create Shipment, ShipmentRouteSegment, ShipmentPackageRouteSeg and ShipmentPackage without items
application/jsonIn Schema for service: addShipmentPackage request
Success response for the API call.
Out Schema for service: addShipmentPackage response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/addShipmentPackage HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 204
{
"carrierPartyId": "text",
"boxLength": "text",
"dimensionUomId": "text",
"boxNumber": "text",
"boxHeight": "text",
"boxWidth": "text",
"picklistBinId": "text",
"shipmentBoxTypeId": "text",
"shipmentMethodTypeId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"shipmentRouteSegmentId": "text",
"shipmentId": "text",
"shipmentPackageSeqId": "text"
}
}application/jsonIn Schema for service: addUserLoginToSecurityGroup request
Success response for the API call.
Out Schema for service: addUserLoginToSecurityGroup response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/addUserLoginToSecurityGroup HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87
{
"fromDate": "2026-01-01",
"userLoginId": "text",
"groupId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: allocateOrderItemToFacility request
Success response for the API call.
Out Schema for service: allocateOrderItemToFacility response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/allocateOrderItemToFacility HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 340
{
"orderItemSeqId": "text",
"clearAutoCancelDate": true,
"comments": "text",
"facilityId": "text",
"suggestedShipMethodTypeId": "text",
"orderId": "text",
"autoCancelDate": "2026-01-01",
"routingRuleId": "text",
"toShipGroupSeqId": "text",
"routingGroupId": "text",
"routingRule": "text",
"orderRoutingId": "text",
"changeReasonEnumId": "text",
"routingRunId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"allocatedShipGroupSeqId": "text"
}
}application/jsonIn Schema for service: appendOrderItem request
Success response for the API call.
Out Schema for service: appendOrderItem response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/appendOrderItem HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 496
{
"amount": 1,
"itemAttributesMap": {},
"quantity": 1,
"productId": "text",
"orderId": "text",
"overridePrice": "text",
"autoCancelDate": "2026-01-01",
"offInvoicePrice": 1,
"disableResetGrandTotal": true,
"quantityUomId": "text",
"shipAmount": 1,
"shipGroupSeqId": "text",
"surveyResponses": [
"text"
],
"unitListPrice": 1,
"changeComments": "text",
"calcTax": true,
"discountMode": "text",
"itemDesiredDeliveryDate": "2026-01-01",
"reasonEnumId": "text",
"discountValue": 1,
"orderItemTypeId": "text",
"basePrice": 1,
"prodCatalogId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"orderItemSeqId": "text",
"orderId": "text"
}
}Change status of sales order to approved after validating certain checks which must be performed before approving order
application/jsonIn Schema for service: approveSalesOrder request
Success response for the API call.
Out Schema for service: approveSalesOrder response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/approveSalesOrder HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 42
{
"orderId": "text",
"confirmApprove": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"oldStatusId": "text",
"orderStatusId": "text",
"statusId": "text",
"orderId": "text"
}
}application/jsonIn Schema for service: bulkAdjustInventoryLevelOnShopify request
Success response for the API call.
Out Schema for service: bulkAdjustInventoryLevelOnShopify response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/bulkAdjustInventoryLevelOnShopify HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 77
{
"adjustInventoryList": [
"text"
],
"shopifyConfigId": "text",
"facilityId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: bulkApproveTransferOrders request
Success response for the API call.
Out Schema for service: bulkApproveTransferOrders response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/bulkApproveTransferOrders HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36
{
"bufferTime": 1,
"orderIds": [
"text"
]
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: bulkPackStoreFulfillmentOrders request
Success response for the API call.
Out Schema for service: bulkPackStoreFulfillmentOrders response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/bulkPackStoreFulfillmentOrders HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"shipmentIds": [
"text"
]
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"shipmentIds": [
"text"
]
}
}application/jsonIn Schema for service: bulkRejectStoreInProgressOrders request
Success response for the API call.
Out Schema for service: bulkRejectStoreInProgressOrders response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/bulkRejectStoreInProgressOrders HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63
{
"facilityId": "text",
"reasonId": "text",
"productStoreId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: bulkRejectStoreOutstandingOrders request
Success response for the API call.
Out Schema for service: bulkRejectStoreOutstandingOrders response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/bulkRejectStoreOutstandingOrders HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63
{
"facilityId": "text",
"reasonId": "text",
"productStoreId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: bulkShipOrders request
Success response for the API call.
Out Schema for service: bulkShipOrders response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/bulkShipOrders HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 23
{
"shipmentId": [
"text"
]
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: calendarDataSetup request
Success response for the API call.
Out Schema for service: calendarDataSetup response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/calendarDataSetup HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 401
{
"sundayCapacity": "text",
"thursdayCapacity": "text",
"wednesdayStartTime": "text",
"wednesdayCapacity": "text",
"tuesdayStartTime": "text",
"fridayStartTime": "text",
"description": "text",
"saturdayCapacity": "text",
"mondayCapacity": "text",
"mondayStartTime": "text",
"calendarId": "text",
"saturdayStartTime": "text",
"thursdayStartTime": "text",
"sundayStartTime": "text",
"fridayCapacity": "text",
"tuesdayCapacity": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"calendarId": "text"
}
}application/jsonIn Schema for service: cancelOrderItem request
Success response for the API call.
Out Schema for service: cancelOrderItem response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/cancelOrderItem HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 140
{
"orderItemSeqId": "text",
"itemReasonMap": {},
"orderId": "text",
"itemCommentMap": {},
"itemQtyMap": {},
"shipGroupSeqId": "text",
"cancelQuantity": 1
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: cancelOrderItems request
Success response for the API call.
Out Schema for service: cancelOrderItems response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/cancelOrderItems HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 83
{
"itemReasonMap": {},
"orderId": "text",
"cancelableItemMap": {},
"shipGrpItemQtyMap": {}
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: cancelSalesOrder request
Success response for the API call.
Out Schema for service: cancelSalesOrder response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/cancelSalesOrder HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 40
{
"changeReason": "text",
"orderId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: cancelScheduledJob request
Success response for the API call.
Out Schema for service: cancelScheduledJob response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/cancelScheduledJob HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"jobId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"statusId": "text",
"cancelDateTime": "2026-01-01"
}
}Change the status of an existing order item. If no orderItemSeqId is specified, the status of all order items will be changed.
application/jsonIn Schema for service: changeOrderItemStatus request
Success response for the API call.
Out Schema for service: changeOrderItemStatus response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/changeOrderItemStatus HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 162
{
"orderItemSeqId": "text",
"changeReason": "text",
"statusId": "text",
"orderId": "text",
"statusDateTime": "2026-01-01",
"fromStatusId": "text",
"changeReasonEnumId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: changeOrderStatus request
Success response for the API call.
Out Schema for service: changeOrderStatus response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/changeOrderStatus HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 109
{
"setItemStatus": "text",
"changeReason": "text",
"statusId": "text",
"orderId": "text",
"changeReasonEnumId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"oldStatusId": "text",
"orderStatusId": "text",
"grandTotal": 1,
"orderTypeId": "text",
"needsInventoryIssuance": "text"
}
}application/jsonIn Schema for service: checkAndRejectOrderItem request
Success response for the API call.
Out Schema for service: checkAndRejectOrderItem response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/checkAndRejectOrderItem HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 146
{
"orderItemSeqId": "text",
"excludeOrderFacilityDuration": "text",
"orderId": "text",
"rejectionComments": "text",
"rejectionReason": "text",
"notify": true
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}This service will check the list of attributes on the passed order and approve it if all the passed attributes are present
application/jsonIn Schema for service: checkAttributesAndApproveOrder request
Success response for the API call.
Out Schema for service: checkAttributesAndApproveOrder response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/checkAttributesAndApproveOrder HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 34
{
"orderId": "text",
"attributes": {}
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"orderId": "text"
}
}application/jsonIn Schema for service: clearAllEntityCaches request
Success response for the API call.
Out Schema for service: clearAllEntityCaches response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/clearAllEntityCaches HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"distribute": true
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: clearCacheLineByCondition request
Success response for the API call.
Out Schema for service: clearCacheLineByCondition response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/clearCacheLineByCondition HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 39
{
"entityName": "text",
"distribute": true
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}Clear Cache Line with a dummyPK (GenericEntity); clears that all cache entry and depending on whether the dummyPK is a primaryKey or not this clears the by primary key cache or the specified entry in the by and cache. By default does not distribute.
application/jsonIn Schema for service: clearCacheLineByDummyPK request
Success response for the API call.
Out Schema for service: clearCacheLineByDummyPK response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/clearCacheLineByDummyPK HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"distribute": true
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}Clear Cache Line with a primaryKey (GenericPK); clears the all and by primary key caches. By default does not distribute.
application/jsonIn Schema for service: clearCacheLineByPrimaryKey request
Success response for the API call.
Out Schema for service: clearCacheLineByPrimaryKey response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/clearCacheLineByPrimaryKey HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35
{
"distribute": true,
"primaryKey": {}
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}Clear Cache Line with a value (GenericValue); this is the preferred method since the all, by primary key and by and caches will be cleared. By default does not distribute.
application/jsonIn Schema for service: clearCacheLineByValue request
Success response for the API call.
Out Schema for service: clearCacheLineByValue response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/clearCacheLineByValue HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"distribute": true
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createCarrierShipmentBoxType request
Success response for the API call.
Out Schema for service: createCarrierShipmentBoxType response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createCarrierShipmentBoxType HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 123
{
"packagingTypeCode": "text",
"oversizeCode": "text",
"partyId": "text",
"shipmentBoxTypeId": "text",
"pickupContainerCode": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createCarrierShipmentMethod request
Success response for the API call.
Out Schema for service: createCarrierShipmentMethod response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createCarrierShipmentMethod HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 132
{
"sequenceNumber": 1,
"roleTypeId": "text",
"deliveryDays": 1,
"partyId": "text",
"carrierServiceCode": "text",
"shipmentMethodTypeId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createCommercePartyRelationshipFrom request
Success response for the API call.
Out Schema for service: createCommercePartyRelationshipFrom response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createCommercePartyRelationshipFrom HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 138
{
"roleTypeIdTo": "text",
"partyRelationshipTypeId": "text",
"partyIdFrom": "text",
"statusId": "text",
"partyIdTo": "text",
"roleTypeIdFrom": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"partyId": "text"
}
}application/jsonIn Schema for service: createCommunicationEvent request
Success response for the API call.
Out Schema for service: createCommunicationEvent response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createCommunicationEvent HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 787
{
"workEffortId": "text",
"note": "text",
"partyIdFrom": "text",
"orderId": "text",
"ccString": "text",
"subject": "text",
"contactMechTypeId": "text",
"communicationEventTypeId": "text",
"content": "text",
"contentMimeTypeId": "text",
"datetimeStarted": "2026-01-01",
"returnId": "text",
"contactListId": "text",
"action": "text",
"custRequestId": "text",
"contactMechIdFrom": "text",
"reasonEnumId": "text",
"roleTypeIdTo": "text",
"productId": "text",
"entryDate": "2026-01-01",
"parentCommEventId": "text",
"systemMessageRemoteId": "text",
"datetimeEnded": "2026-01-01",
"externalId": "text",
"messageId": "text",
"origCommEventId": "text",
"roleTypeIdFrom": "text",
"contactMechIdTo": "text",
"headerString": "text",
"statusId": "text",
"communicationEventId": "text",
"bccString": "text",
"toString": "text",
"partyIdTo": "text",
"fromString": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"communicationEventId": "text"
}
}application/jsonIn Schema for service: createCommunicationEventOrder request
Success response for the API call.
Out Schema for service: createCommunicationEventOrder response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createCommunicationEventOrder HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48
{
"orderId": "text",
"communicationEventId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createDataManagerConfig request
Success response for the API call.
Out Schema for service: createDataManagerConfig response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createDataManagerConfig HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 381
{
"importPath": "text",
"exportServiceScreenLocation": "text",
"exportServiceScreenName": "text",
"importServiceName": "text",
"fileNamePattern": "text",
"multiThreading": "text",
"description": "text",
"priority": 1,
"exportPath": "text",
"exportContentId": "text",
"notifyOnFailure": "text",
"delimiter": "text",
"configId": "text",
"exportServiceName": "text",
"scriptTitle": "text",
"executionModeId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"configId": "text"
}
}application/jsonIn Schema for service: createDataManagerMapping request
Success response for the API call.
Out Schema for service: createDataManagerMapping response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createDataManagerMapping HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 154
{
"fromDate": "2026-01-01",
"mappingPrefName": "text",
"mappingPrefTypeEnumId": "text",
"mappingPrefId": "text",
"mappingPrefValue": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"mappingPrefId": "text"
}
}application/jsonIn Schema for service: createEnumeration request
Success response for the API call.
Out Schema for service: createEnumeration response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createEnumeration HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 165
{
"enumTypeId": "text",
"enumId": "text",
"sequenceNum": 1,
"enumCode": "text",
"primaryEnumerationGroupId": "text",
"description": "text",
"enumName": "text",
"sequenceId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"enumId": "text"
}
}application/jsonIn Schema for service: createEnumerationGroupMember request
Success response for the API call.
Out Schema for service: createEnumerationGroupMember response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createEnumerationGroupMember HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 116
{
"fromDate": "2026-01-01",
"enumerationId": "text",
"sequenceNum": 1,
"enumerationGroupId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createExcludedOrderFacilityForOrder request
Success response for the API call.
Out Schema for service: createExcludedOrderFacilityForOrder response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createExcludedOrderFacilityForOrder HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"externalOrderFacilityId": "text",
"orderId": "text",
"externalOrderId": "text",
"orderFacilityId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createFacility request
Success response for the API call.
Out Schema for service: createFacility response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createFacility HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 571
{
"facilityId": "text",
"defaultInventoryItemTypeId": "text",
"parentFacilityId": "text",
"postalCode": "text",
"externalId": "text",
"description": "text",
"defaultWeightUomId": "text",
"primaryFacilityGroupId": "text",
"openedDate": "2026-01-01",
"ownerPartyId": "text",
"facilityTimeZone": "text",
"facilitySize": 1,
"closedDate": "2026-01-01",
"facilitySizeUomId": "text",
"maximumOrderLimit": 1,
"closeTime": "text",
"defaultDaysToShip": 1,
"facilityTypeId": "text",
"defaultDimensionUomId": "text",
"productStoreId": "text",
"facilityName": "text",
"openTime": "text",
"geoPointId": "text",
"oldSquareFootage": 1
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"facilityId": "text"
}
}application/jsonIn Schema for service: createFacilityCalendar request
Success response for the API call.
Out Schema for service: createFacilityCalendar response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createFacilityCalendar HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 121
{
"fromDate": "2026-01-01",
"facilityId": "text",
"calendarId": "text",
"facilityCalendarTypeId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createFacilityContactMech request
Success response for the API call.
Out Schema for service: createFacilityContactMech response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createFacilityContactMech HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 230
{
"fromDate": "2026-01-01",
"extension": "text",
"comments": "text",
"facilityId": "text",
"infoString": "text",
"contactMechPurposeTypeId": "text",
"externalId": "text",
"contactMechTypeId": "text",
"contactMechId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"contactMechId": "text"
}
}application/jsonIn Schema for service: createFacilityEmailAddress request
Success response for the API call.
Out Schema for service: createFacilityEmailAddress response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createFacilityEmailAddress HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 252
{
"fromDate": "2026-01-01",
"emailAddress": "text",
"extension": "text",
"comments": "text",
"facilityId": "text",
"infoString": "text",
"contactMechPurposeTypeId": "text",
"externalId": "text",
"contactMechTypeId": "text",
"contactMechId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"contactMechId": "text"
}
}application/jsonIn Schema for service: createFacilityGroup request
Success response for the API call.
Out Schema for service: createFacilityGroup response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createFacilityGroup HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 133
{
"primaryParentGroupId": "text",
"facilityGroupTypeId": "text",
"facilityGroupId": "text",
"description": "text",
"facilityGroupName": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"facilityGroupId": "text"
}
}application/jsonIn Schema for service: createFacilityIdentification request
Success response for the API call.
Out Schema for service: createFacilityIdentification response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createFacilityIdentification HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 114
{
"fromDate": "2026-01-01",
"facilityId": "text",
"idValue": "text",
"facilityIdenTypeId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createFacilityLocation request
Success response for the API call.
Out Schema for service: createFacilityLocation response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createFacilityLocation HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 222
{
"nextCountDate": "text",
"lastCountDate": "text",
"facilityId": "text",
"areaId": "text",
"positionId": "text",
"isLocked": "text",
"levelId": "text",
"sectionId": "text",
"geoPointId": "text",
"locationTypeEnumId": "text",
"aisleId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"locationSeqId": "text"
}
}application/jsonIn Schema for service: createFacilityPostalAddress request
Success response for the API call.
Out Schema for service: createFacilityPostalAddress response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createFacilityPostalAddress HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 601
{
"houseNumberExt": "text",
"extension": "text",
"city": "text",
"latitude": "text",
"postalCodeGeoId": "text",
"postalCode": "text",
"houseNumber": 1,
"postalCodeExt": "text",
"contactMechId": "text",
"attnName": "text",
"countyGeoId": "text",
"toName": "text",
"paymentMethodId": "text",
"cityGeoId": "text",
"longitude": "text",
"countryGeoId": "text",
"comments": "text",
"facilityId": "text",
"address2": "text",
"address1": "text",
"encodedAddressKey": "text",
"thruDate": "2026-01-01",
"fromDate": "2026-01-01",
"contactMechPurposeTypeId": "text",
"directions": "text",
"municipalityGeoId": "text",
"stateProvinceGeoId": "text",
"geoPointId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"contactMechId": "text"
}
}application/jsonIn Schema for service: createFacilityTelecomNumber request
Success response for the API call.
Out Schema for service: createFacilityTelecomNumber response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createFacilityTelecomNumber HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 245
{
"fromDate": "2026-01-01",
"askForName": "text",
"areaCode": "text",
"extension": "text",
"comments": "text",
"facilityId": "text",
"contactMechPurposeTypeId": "text",
"countryCode": "text",
"contactNumber": "text",
"contactMechId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"contactMechId": "text"
}
}application/jsonIn Schema for service: createGcFulFillmentRecord request
Success response for the API call.
Out Schema for service: createGcFulFillmentRecord response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createGcFulFillmentRecord HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 237
{
"referenceNum": "text",
"orderItemSeqId": "text",
"amount": 1,
"authCode": "text",
"orderId": "text",
"merchantId": "text",
"pinNumber": "text",
"typeEnumId": "text",
"surveyResponseId": "text",
"partyId": "text",
"cardNumber": "text",
"responseCode": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createIncomingShipment request
Success response for the API call.
Out Schema for service: createIncomingShipment response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createIncomingShipment HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 14
{
"payload": {}
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"shipmentId": "text"
}
}Creates a New User Login and Set it's default Organization by creating User Preference entity record.
application/jsonIn Schema for service: createNewUserLoginAndSetUserPreference request
Success response for the API call.
Out Schema for service: createNewUserLoginAndSetUserPreference response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createNewUserLoginAndSetUserPreference HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 290
{
"userLoginId": "text",
"userPrefGroupTypeId": "text",
"passwordHint": "text",
"userPrefValue": "text",
"currentPasswordVerify": "text",
"externalAuthId": "text",
"requirePasswordChange": "text",
"userPrefTypeId": "text",
"partyId": "text",
"userPrefLoginId": "text",
"enabled": "text",
"currentPassword": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"currentCompany": {},
"userPrefValue": "text"
}
}application/jsonIn Schema for service: createOISGIRIndex request
Success response for the API call.
Out Schema for service: createOISGIRIndex response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createOISGIRIndex HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 129
{
"inventoryItemId": "text",
"orderItemSeqId": "text",
"orderId": "text",
"shipmentId": "text",
"tenantId": "text",
"shipGroupSeqId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createOrderAppeasement request
Success response for the API call.
Out Schema for service: createOrderAppeasement response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createOrderAppeasement HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59
{
"orderId": "text",
"appeasementAmount": 1,
"itemAmountMap": {}
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"returnId": "text"
}
}application/jsonIn Schema for service: createOrderAttribute request
Success response for the API call.
Out Schema for service: createOrderAttribute response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createOrderAttribute HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 80
{
"orderId": "text",
"attrDescription": "text",
"attrValue": "text",
"attrName": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createOrderIndex request
Success response for the API call.
Out Schema for service: createOrderIndex response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createOrderIndex HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 60
{
"orderItemSeqId": "text",
"orderId": "text",
"tenantId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createOrderItemAttribute request
Success response for the API call.
Out Schema for service: createOrderItemAttribute response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createOrderItemAttribute HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 104
{
"orderItemSeqId": "text",
"orderId": "text",
"attrDescription": "text",
"attrValue": "text",
"attrName": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createPartyGroup request
Success response for the API call.
Out Schema for service: createPartyGroup response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createPartyGroup HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 331
{
"pdfLogoImageUrl": "text",
"comments": "text",
"externalId": "text",
"description": "text",
"tickerSymbol": "text",
"logoImageUrl": "text",
"partyTypeId": "text",
"groupName": "text",
"groupNameLocal": "text",
"statusId": "text",
"numEmployees": 1,
"preferredCurrencyUomId": "text",
"ranking": 1,
"partyId": "text",
"annualRevenue": 1,
"officeSiteName": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"partyId": "text"
}
}application/jsonIn Schema for service: createPostalAddress request
Success response for the API call.
Out Schema for service: createPostalAddress response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createPostalAddress HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 427
{
"countryGeoId": "text",
"houseNumberExt": "text",
"city": "text",
"address2": "text",
"address1": "text",
"latitude": 1,
"postalCodeGeoId": "text",
"postalCode": "text",
"encodedAddressKey": "text",
"houseNumber": 1,
"postalCodeExt": "text",
"contactMechId": "text",
"attnName": "text",
"countyGeoId": "text",
"directions": "text",
"toName": "text",
"cityGeoId": "text",
"municipalityGeoId": "text",
"stateProvinceGeoId": "text",
"geoPointId": "text",
"longitude": 1
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"contactMechId": "text"
}
}application/jsonIn Schema for service: createProductFacilityLocation request
Success response for the API call.
Out Schema for service: createProductFacilityLocation response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createProductFacilityLocation HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 114
{
"facilityId": "text",
"productId": "text",
"moveQuantity": 1,
"minimumStock": 1,
"maximumStock": 1,
"locationSeqId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createProductIndex request
Success response for the API call.
Out Schema for service: createProductIndex response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createProductIndex HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59
{
"productId": "text",
"indexVariants": true,
"tenantId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createProductStoreFacility request
Success response for the API call.
Out Schema for service: createProductStoreFacility response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createProductStoreFacility HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 109
{
"fromDate": "2026-01-01",
"facilityId": "text",
"sequenceNum": 1,
"productStoreId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createProductStoreFacilityGroup request
Success response for the API call.
Out Schema for service: createProductStoreFacilityGroup response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createProductStoreFacilityGroup HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 117
{
"fromDate": "2026-01-01",
"sequenceNumber": 1,
"facilityGroupId": "text",
"productStoreId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createProductStoreRole request
Success response for the API call.
Out Schema for service: createProductStoreRole response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createProductStoreRole HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 126
{
"fromDate": "2026-01-01",
"roleTypeId": "text",
"sequenceNum": 1,
"productStoreId": "text",
"partyId": "text",
"thruDate": "2026-01-01"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createProductStoreSetting request
Success response for the API call.
Out Schema for service: createProductStoreSetting response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createProductStoreSetting HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 74
{
"settingValue": "text",
"productStoreId": "text",
"settingTypeEnumId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createProductStoreShipMeth request
Success response for the API call.
Out Schema for service: createProductStoreShipMeth response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createProductStoreShipMeth HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 734
{
"companyPartyId": "text",
"productStoreShipMethId": "text",
"allowancePercent": 1,
"shipmentCustomMethodId": "text",
"includeFeatureGroup": "text",
"minTotal": 1,
"minWeight": 1,
"requireCompanyAddr": "text",
"maxSize": 1,
"excludeGeoId": "text",
"isShippingWeightRequired": "text",
"shipmentGatewayConfigId": "text",
"minSize": 1,
"allowCompanyAddr": "text",
"productStoreId": "text",
"minimumPrice": 1,
"partyId": "text",
"shipmentMethodTypeId": "text",
"excludeFeatureGroup": "text",
"sequenceNumber": 1,
"roleTypeId": "text",
"allowUspsAddr": "text",
"maxWeight": 1,
"serviceName": "text",
"thruDate": "2026-01-01",
"fromDate": "2026-01-01",
"includeGeoId": "text",
"maxTotal": 1,
"requireUspsAddr": "text",
"configProps": "text",
"includeNoChargeItems": "text",
"isTrackingRequired": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"productStoreShipMethId": "text"
}
}application/jsonIn Schema for service: createPurchaseShipment request
Success response for the API call.
Out Schema for service: createPurchaseShipment response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createPurchaseShipment HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 62
{
"facilityId": "text",
"orderId": "text",
"shipGroupSeqId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"shipmentId": "text"
}
}application/jsonIn Schema for service: createRelationship request
Success response for the API call.
Out Schema for service: createRelationship response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createRelationship HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 426
{
"roleTypeIdTo": "text",
"partyIdFrom": "text",
"lastName": "text",
"extension": "text",
"phoneContactMechPurpose": "text",
"externalId": "text",
"roleTypeIdFrom": "text",
"thruDate": "2026-01-01",
"fromDate": "2026-01-01",
"partyRelationshipTypeId": "text",
"firstName": "text",
"partyTypeId": "text",
"emailAddress": "text",
"groupName": "text",
"statusId": "text",
"preferredCurrencyUomId": "text",
"emailContactMechPurpose": "text",
"contactNumber": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"partyId": "text"
}
}application/jsonIn Schema for service: createReturn request
Success response for the API call.
Out Schema for service: createReturn response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createReturn HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1310
{
"payLoad": {
"externalId": "text",
"note": "text",
"returnPaymentPref": [
{
"orderId": "text",
"orderExternalId": "text",
"paymentMethodTypeId": "text",
"statusId": "text",
"manualRefNum": "text",
"parentRefNum": "text",
"maxAmount": 1,
"presentmentAmount": 1,
"presentmentCurrency": "text"
}
],
"tags": [],
"type": "text",
"createdDate": "text",
"returnDate": "text",
"customerId": "text",
"customerExternalId": "text",
"customerIdentificationType": "text",
"customerIdentificationValue": "text",
"companyId": "text",
"companyExternalId": "text",
"status": "text",
"currencyCode": "text",
"grandTotal": 1,
"returnIdentifications": [
{
"returnIdentificationTypeId": "text",
"returnIdentificationDesc": "text",
"idValue": "text"
}
],
"shipFrom": {
"postalAddress": {
"id": "text",
"externalId": "text"
}
},
"shipTo": {
"facilityId": "text"
},
"items": [
{
"id": "text",
"sku": "text",
"itemExternalId": "text",
"itemSeqId": "text",
"itemTypeId": "text",
"status": "text",
"orderId": "text",
"orderExternalId": "text",
"orderItemSeqId": "text",
"quantity": 1,
"reason": "text",
"returnType": "text",
"restockType": "text",
"price": 1,
"includeAdjustments": "text",
"itemAdjustments": [
{
"type": "text",
"comments": "text",
"description": "text",
"amount": 1,
"sourcePercentage": 1
}
]
}
],
"returnAdjustment": [
{
"orderId": "text",
"orderExternalId": "text",
"type": "text",
"comments": "text",
"description": "text",
"amount": 1,
"sourcePercentage": 1
}
]
}
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"payLoad": {
"externalId": "text",
"note": "text",
"returnPaymentPref": [
{
"orderId": "text",
"orderExternalId": "text",
"paymentMethodTypeId": "text",
"statusId": "text",
"manualRefNum": "text",
"parentRefNum": "text",
"maxAmount": 1,
"presentmentAmount": 1,
"presentmentCurrency": "text"
}
],
"tags": [],
"type": "text",
"createdDate": "text",
"returnDate": "text",
"customerId": "text",
"customerExternalId": "text",
"customerIdentificationType": "text",
"customerIdentificationValue": "text",
"companyId": "text",
"companyExternalId": "text",
"status": "text",
"currencyCode": "text",
"grandTotal": 1,
"returnIdentifications": [
{
"returnIdentificationTypeId": "text",
"returnIdentificationDesc": "text",
"idValue": "text"
}
],
"shipFrom": {
"postalAddress": {
"id": "text",
"externalId": "text"
}
},
"shipTo": {
"facilityId": "text"
},
"items": [
{
"id": "text",
"sku": "text",
"itemExternalId": "text",
"itemSeqId": "text",
"itemTypeId": "text",
"status": "text",
"orderId": "text",
"orderExternalId": "text",
"orderItemSeqId": "text",
"quantity": 1,
"reason": "text",
"returnType": "text",
"restockType": "text",
"price": 1,
"includeAdjustments": "text",
"itemAdjustments": [
{
"type": "text",
"comments": "text",
"description": "text",
"amount": 1,
"sourcePercentage": 1
}
]
}
],
"returnAdjustment": [
{
"orderId": "text",
"orderExternalId": "text",
"type": "text",
"comments": "text",
"description": "text",
"amount": 1,
"sourcePercentage": 1
}
]
}
}
}application/jsonIn Schema for service: createRoleType request
Success response for the API call.
Out Schema for service: createRoleType response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createRoleType HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64
{
"roleTypeId": "text",
"parentTypeId": "text",
"description": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createSalesOrder request
Success response for the API call.
Out Schema for service: createSalesOrder response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createSalesOrder HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2196
{
"order": {
"externalId": "text",
"orderName": "text",
"locale": "text",
"tags": [],
"note": [],
"channel": "text",
"webSiteId": "text",
"customerId": "text",
"customerIdentificationType": "text",
"customerIdentificationValue": "text",
"customerExternalId": "text",
"priority": "text",
"orderDate": "text",
"entryDate": "text",
"expireDate": "text",
"statusId": "text",
"productStoreId": "text",
"currencyCode": "text",
"remainingSubTotal": 1,
"grandTotal": 1,
"autoApprove": "text",
"orderContacts": {
"email": {
"id": "text",
"externalId": "text"
}
},
"orderIdentifications": [
{
"orderIdentificationTypeId": "text",
"orderIdentificationDesc": "text",
"idValue": "text"
}
],
"orderAttributes": [
{
"attrName": "text",
"attrValue": "text",
"attrDescription": "text"
}
],
"orderContents": [
{
"orderItemSeqId": "text",
"contentId": "text",
"orderContentTypeId": "text",
"fromDate": "text",
"thruDate": "text"
}
],
"shipGroup": [
{
"facilityId": "text",
"orderFacilityId": "text",
"externalId": "text",
"maySplit": "text",
"shipBy": "text",
"shipAfter": "text",
"carrierPartyId": "text",
"shipmentMethodTypeId": "text",
"trackingNumber": "text",
"shipTo": {
"postalAddress": {
"id": "text",
"externalId": "text",
"additionalPurpose": "text"
},
"email": {
"id": "text",
"externalId": "text"
},
"phoneNumber": {
"id": "text",
"externalId": "text"
}
},
"items": [
{
"itemSeqId": "text",
"productId": "text",
"itemExternalId": "text",
"sku": "text",
"status": "text",
"quantity": 1,
"unitListPrice": 1,
"unitPrice": 1,
"autoCancelDate": "text",
"itemAdjustments": [
{
"id": "text",
"type": "text",
"comments": "text",
"amount": 1,
"exemptAmount": 1,
"sourcePercentage": 1,
"setShipGroup": "text"
}
],
"orderItemAttributes": [
{
"attrName": "text",
"attrValue": "text",
"attrDescription": "text"
}
],
"orderItemAssociations": [
{
"toOrderId": "text",
"toOrderExternalId": "text",
"toOrderItemSeqId": "text",
"toShipGroupSeqId": "text",
"orderItemAssocTypeId": "text",
"quantity": 1
}
]
}
]
}
],
"orderAdjustments": [
{
"id": "text",
"type": "text",
"comments": "text",
"amount": 1,
"exemptAmount": 1,
"sourcePercentage": 1
}
],
"orderPaymentPref": [
{
"id": "text",
"paymentMethodTypeId": "text",
"paymentMode": "text",
"cardName": "text",
"code": "text",
"maxAmount": 1,
"statusId": "text"
}
],
"billTo": {
"postalAddress": {
"id": "text",
"externalId": "text"
},
"email": {
"id": "text",
"externalId": "text"
},
"phoneNumber": {
"id": "text",
"externalId": "text"
}
}
}
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"orderId": "text"
}
}application/jsonIn Schema for service: createSearchPreference request
Success response for the API call.
Out Schema for service: createSearchPreference response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createSearchPreference HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 68
{
"searchPrefName": "text",
"isPublic": "text",
"searchPrefValue": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"searchPrefId": "text"
}
}application/jsonIn Schema for service: createSecurityGroup request
Success response for the API call.
Out Schema for service: createSecurityGroup response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createSecurityGroup HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 83
{
"groupName": "text",
"groupId": "text",
"description": "text",
"groupTypeEnumId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createSecurityPermission request
Success response for the API call.
Out Schema for service: createSecurityPermission response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createSecurityPermission HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 44
{
"permissionId": "text",
"description": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createShipmentBoxType request
Success response for the API call.
Out Schema for service: createShipmentBoxType response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createShipmentBoxType HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 149
{
"boxLength": 1,
"boxWeight": 1,
"dimensionUomId": "text",
"weightUomId": "text",
"description": "text",
"boxHeight": 1,
"boxWidth": 1,
"shipmentBoxTypeId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"shipmentBoxTypeId": "text"
}
}application/jsonIn Schema for service: createShipmentItem request
Success response for the API call.
Out Schema for service: createShipmentItem response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createShipmentItem HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 181
{
"availableToPromise": 1,
"serialNumber": "text",
"quantity": 1,
"productId": "text",
"shipmentContentDescription": "text",
"shipmentId": "text",
"externalId": "text",
"shipmentItemSeqId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"shipmentItemSeqId": "text"
}
}application/jsonIn Schema for service: createShipmentMethodType request
Success response for the API call.
Out Schema for service: createShipmentMethodType response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createShipmentMethodType HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 90
{
"parentTypeId": "text",
"sequenceNum": 1,
"description": "text",
"shipmentMethodTypeId": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": null
}application/jsonIn Schema for service: createShipmentReceipt request
Success response for the API call.
Out Schema for service: createShipmentReceipt response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createShipmentReceipt HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 415
{
"orderItemSeqId": "text",
"productId": "text",
"orderId": "text",
"quantityAccepted": 1,
"shipmentPackageSeqId": "text",
"quantityRejected": 1,
"shipmentItemSeqId": "text",
"inventoryItemDetailSeqId": "text",
"affectAccounting": true,
"rejectionId": "text",
"inventoryItemId": "text",
"receivedByUserLoginId": "text",
"shipmentId": "text",
"returnId": "text",
"returnItemSeqId": "text",
"datetimeReceived": "2026-01-01",
"itemDescription": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"receiptId": "text",
"affectAccounting": true
}
}application/jsonIn Schema for service: createShopifyOrder request
Success response for the API call.
Out Schema for service: createShopifyOrder response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createShopifyOrder HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 39
{
"shopifyConfigId": "text",
"payload": {}
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"isFulfilled": "text",
"orderId": "text",
"autoApproveOrder": "text"
}
}application/jsonIn Schema for service: createShopifyProdLocActivation request
Success response for the API call.
Out Schema for service: createShopifyProdLocActivation response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createShopifyProdLocActivation HTTP/1.1
Host: 10.106.39.100:443
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89
{
"shopifyLocationId": "text",
"shopId": "text",
"shopifyProductId": "text",
"activated": "text"
}{
"statusCode": 1,
"statusDescription": "text",
"successMessage": "text",
"data": {
"shopifyLocationId": "text",
"shopId": "text",
"shopifyProductId": "text"
}
}application/jsonIn Schema for service: createShopifyReturn request
Success response for the API call.
Out Schema for service: createShopifyReturn response
HTTP Status Code
HTTP Status Code Description
Success Message
Bad Request: Due to malformed request syntax or invalid request message framing or incorrect request parameters.
Unauthorized: Access is denied due to invalid or absent Authorization header.
Forbidden: Insufficient rights to perform this API call.
Method Not Allowed: Service called with HTTP method other than the declared one.
Unprocessable Entity: Error indicating semantical errors. Request is syntactically correct though.
POST /rest/services/createShopifyReturn HTTP/1.1
[...]
